Bug 211460 - math/cryptominisat math/py-cryptominisat: Update to 5.0.0
Summary: math/cryptominisat math/py-cryptominisat: Update to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-30 13:39 UTC by Gleb Popov
Modified: 2016-09-01 13:27 UTC (History)
4 users (show)

See Also:


Attachments
Patch (7.81 KB, patch)
2016-07-30 13:39 UTC, Gleb Popov
arrowd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2016-07-30 13:39:06 UTC
Created attachment 173121 [details]
Patch

The patch updates both math/cryptominisat and math/py-cryptominisat.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-30 13:44:02 UTC
It would be very handy if this package was independently distributed on PyPI, to avoid having to preprocess the python module files with cmake, that is really unnecessary. Can you please request this from upstream in the form of a bug/issue report?

Also please confirm this passes QA (portlint, poudriere)
Comment 2 Gleb Popov freebsd_committer 2016-07-30 13:54:36 UTC
(In reply to Kubilay Kocak from comment #1)
portlint ok, poudriere testport on 10.3-RELEASE ok.
Comment 3 Gleb Popov freebsd_committer 2016-07-30 13:55:10 UTC
(In reply to Kubilay Kocak from comment #1)

>Can you please request this from upstream in the form of a bug/issue report?

Sure, will do.
Comment 4 Gleb Popov freebsd_committer 2016-08-01 15:39:46 UTC
(In reply to Kubilay Kocak from comment #1)

>Can you please request this from upstream in the form of a bug/issue report?

Is this a blocker for commiting this update? I planned to do this later, once this PR is commited.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-08-24 22:43:47 UTC
Waiting for mentor approval.
Comment 6 Mark Felder freebsd_committer 2016-09-01 12:56:02 UTC
(In reply to Carlos J. Puga Medina from comment #5)

Approved
Comment 7 commit-hook freebsd_committer 2016-09-01 13:26:10 UTC
A commit references this bug:

Author: cpm
Date: Thu Sep  1 13:25:50 UTC 2016
New revision: 421212
URL: https://svnweb.freebsd.org/changeset/ports/421212

Log:
  - Update math/cryptominisat and math/py-cryptominisat to 5.0.0

  PR:		211460
  Submitted by:	maintainer
  Reviewed by:	koobs, feld (mentor)
  Approved by:	feld (mentor)

Changes:
  head/math/cryptominisat/Makefile
  head/math/cryptominisat/distinfo
  head/math/cryptominisat/files/
  head/math/cryptominisat/pkg-descr
  head/math/cryptominisat/pkg-plist
  head/math/py-cryptominisat/Makefile
  head/math/py-cryptominisat/distinfo
  head/math/py-cryptominisat/files/patch-setup.py.in
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-09-01 13:26:55 UTC
Committed!

Thanks